Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.instantmessagingserver
Interface InstantMessagingServerDefinition

All Superinterfaces:
  BambooObject, Cloneable

All Known Implementing Classes:
  InstantMessagingServerDefinitionImpl

    public interface InstantMessagingServerDefinition

extends Cloneable, BambooObject

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`String` | `getEncryptedPassword()`
`String` | `getHost()`
`long` | `getId()`
`String` | `getName()`
`String` | `getPassword()`
`Integer` | `getPort()`
`String` | `getUsername()`
`int` | `hashCode()`
`boolean` | `isSslRequired()`
`void` | `setEncryptedPassword(String password)`
`void` | `setHost(String host)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPort(Integer port)`
`void` | `setSslRequired(boolean sslRequired)`
`void` | `setUsername(String username)`

Method Detail

### equals

    boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    int compareTo(Object obj)

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getId

    long getId()

  Specified by:
    `getId` in interface `BambooObject`

### setId

    void setId(long id)

  Specified by:
    `setId` in interface `BambooObject`

### getName

    String getName()

### setName

    void setName(String name)

### getHost

    String getHost()

### setHost

    void setHost(String host)

### getPort

    Integer getPort()

### setPort

    void setPort(Integer port)

### getUsername

    String getUsername()

### setUsername

    void setUsername(String username)

### getPassword

    String getPassword()

### setPassword

    void setPassword(String password)

### getEncryptedPassword

    String getEncryptedPassword()

### setEncryptedPassword

    void setEncryptedPassword(String password)

### isSslRequired

    boolean isSslRequired()

### setSslRequired

    void setSslRequired(boolean sslRequired)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.